Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.calendar
Class CalendarResources

    java.lang.Object
      |
      +--com.compoze.calendar.CalendarResources

public class CalendarResources
extends java.lang.Object

Provides access to the `CalendarResources` for the Calendar package. This class provides access to `calendar_resources.properties` and provides a way to internationalize certain class in the Calendar package.

`calendar_resources.properties` can be found in `calendar.jar` at `com.compoze.calendar.calendar_resources.properties`.

Constructor Summary
`CalendarResources()`

Method Summary
`static java.util.ResourceBundle` | `i()` Gets the singleton instance of the `CalendarResources`.
`static java.util.ResourceBundle` | `i(java.util.Locale locale)` Gets the singleton instance of the `CalendarResources`.
`static void` | `main(java.lang.String[] args)` Exerciser.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CalendarResources

    public CalendarResources()

Method Detail

### i

    public static java.util.ResourceBundle i()

  Gets the singleton instance of the `CalendarResources`. The default locale is used.
  Returns:
    a `CalendarResources` for the calendar package
  Throws:
    `MissingResourceException` - if the resource bundle could not be found

### i

    public static java.util.ResourceBundle i(java.util.Locale locale)

  Gets the singleton instance of the `CalendarResources`.
  Parameters:
    `locale` - the locale to use when retrieving the resource bundle
  Returns:
    a `CalendarResources`for the calendar package``
  Throws:
    `MissingResourceException` - if the resource bundle could not be found

### main

    public static void main(java.lang.String[] args)

  Exerciser.
  Parameters:
    `args` - main arguments - first argument should be the key to get the value for

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.